Subject: Re: [PATCH 10/17] bootwrapper: Add dt_set_mac_addresses().

From: Segher Boessenkool <[email-masked]>
Date: Wed, 21 Mar 2007 20:07:21 +0100

> > It's a layering violation anyway, a device
>> driver has no business peering at "mac-address", that's info
>> for a way higher layer ;-)
>
> Eh, I don't think I agree with that.  mac-address is supposed to be 
> used if it exists, because it represents the "most recent MAC 
> address".

That's policy and belongs in user land, not in the kernel,
and certainly not in a device driver.

> I don't see this code changing ever, because we're always going to 
> need to support older device trees

No you don't.  People who need to stick with an older dev
tree can stick with an older bootwrapper and kernel too.

Or if you *have* to support broken device trees, you should
fix them up in the bootwrapper so the kernel doesn't have to
be aware of them.

Segher